{% extends 'rzn1d.jinja2' %}
{% set power_off_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu20 --command off --port 13',
'/usr/local/lab-scripts/snmp_pdu_control --hostname pdu20 --command off --port 7']%}
{% set hard_reset_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu20 --command reboot --port 13 --delay 20',
'/usr/local/lab-scripts/snmp_pdu_control --hostname pdu20 --command reboot --port 7 --delay 20'] %}
{% set power_on_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu20 --command on --port 13',
'/usr/local/lab-scripts/snmp_pdu_control --hostname pdu20 --command on --port 7'] %}
{% set connection_command = 'telnet dispatcher02 7017' %}
{% set uboot_needs_interrupt = false %}

{# to be removed after device-type is fixed in LAVA code #}
{% set bootz_kernel_addr = "0x84000000" %}
{% set bootz_ramdisk_addr = "0x80100000" %}
{% set bootz_dtb_addr = "0x80f00000" %}

{% set user_commands = {'set_boot_to_qspi': {'do': '/usr/local/lab-scripts/eth008_control -a 10.0.9.5 -r 5 -s off'},
                        'set_boot_to_nand': {'do': '/usr/local/lab-scripts/eth008_control -a 10.0.9.5 -r 5 -s on',
                                             'undo': '/usr/local/lab-scripts/eth008_control -a 10.0.9.5 -r 5 -s off'},
                        'j17_on': {'do': "/usr/local/lab-scripts/snmp_switch_control --hostname testing-sw01 --port 17 --command on",
                                   'undo': "/usr/local/lab-scripts/snmp_switch_control --hostname testing-sw01 --port 17 --command off"},
                        'j17_off': {'do': "/usr/local/lab-scripts/snmp_switch_control --hostname testing-sw01 --port 17 --command off"},
                        'j21_on': {'do': "/usr/local/lab-scripts/snmp_switch_control --hostname switch11 --port 17 --port_base 49 --command on"},
                        'j21_off': {'do': "/usr/local/lab-scripts/snmp_switch_control --hostname switch11 --port 17 --port_base 49 --command off",
                                    'undo': "/usr/local/lab-scripts/snmp_switch_control --hostname switch11 --port 17 --port_base 49 --command on"},
                        'j22_on': {'do': "/usr/local/lab-scripts/snmp_switch_control --hostname testing-sw01 --port 18 --command on",
                                   'undo': "/usr/local/lab-scripts/snmp_switch_control --hostname testing-sw01 --port 18 --command off"},
                        'j22_off': {'do': "/usr/local/lab-scripts/snmp_switch_control --hostname testing-sw01 --port 18 --command off"},
                        'j23_on': {'do': "/usr/local/lab-scripts/snmp_switch_control --hostname testing-sw01 --port 19 --command on",
                                   'undo': "/usr/local/lab-scripts/snmp_switch_control --hostname testing-sw01 --port 19 --command off"},
                        'j23_off': {'do': "/usr/local/lab-scripts/snmp_switch_control --hostname testing-sw01 --port 19 --command off"},
                        'j24_on': {'do': "/usr/local/lab-scripts/snmp_switch_control --hostname testing-sw01 --port 20 --command on",
                                   'undo': "/usr/local/lab-scripts/snmp_switch_control --hostname testing-sw01 --port 20 --command off"},
                        'j24_off': {'do': "/usr/local/lab-scripts/snmp_switch_control --hostname testing-sw01 --port 20 --command off"}
} %}
{% set board_id = "LCES2-0xa3e1096a00000000" %}

{# to be removed when the dhcp issue is fixed #}
{% set uboot_ipaddr_cmd = "dhcp; dhcp" %}
{% set flasher_deploy_commands = ['/usr/local/bin/sd-mux-ctrl -e sdw-01 --ts',
                                  'sleep 1',
                                  '/usr/local/lab-scripts/flashing_command -l "{LAYOUT}" -i "{IMAGE}" -t /dev/disk/by-id/usb-Generic_Ultra_HS-SD_MMC_DEADBEEF0001-0:0',
                                  '/usr/local/bin/sd-mux-ctrl -e sdw-01 --dut'] %}


{% set sync_to_lava = {'device_type': 'rzn1d', 'worker': 'dispatcher02.lavalab', 'tags': ['lces2-01'], 'aliases': []} %}
